#ifndef NAMEABLE_HPP_INCLUDED
#define NAMEABLE_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "NamePair.hpp"

namespace Internal
{
    class Nameable : public Object
    {
        public:
            Nameable();
            Nameable(const void* Obj);
            Nameable(const Nameable& N);
            static Class GetClass();

            NamePair GetNamePair() const;

    };
}

#endif // NAMEABLE_HPP_INCLUDED
